Skip to main content
`Ctrl`+`K`

# SNESLineSearch

Abstract PETSc object that manages line-search operations for nonlinear solvers

## Synopsis

    typedef struct _p_LineSearch *SNESLineSearch;

## See Also

SNES: Nonlinear Solvers, `SNESLineSearchType`, `SNESLineSearchCreate()`, `SNESLineSearchSetType()`, `SNES`

## Level

beginner

## Location

include/petscsnes.h

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1f90.F90
src/ts/tutorials/ex22f.F90
src/snes/tutorials/ex15.c
src/ts/tutorials/ex22.c
src/snes/tutorials/ex3.c
src/snes/tutorials/ex1f.F90
src/ts/tutorials/ex27.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages